# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "ffi-rzmq"
  s.version = "1.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Chuck Remes"]
  s.date = "2013-10-03"
  s.description = "This gem wraps the ZeroMQ networking library using the ruby FFI (foreign\nfunction interface). It's a pure ruby wrapper so this gem can be loaded\nand run by any ruby runtime that supports FFI. That's all of the major ones -\nMRI, Rubinius and JRuby."
  s.email = ["git@chuckremes.com"]
  s.files = [".bnsignore", ".gitignore", ".travis.yml", "AUTHORS.txt", "Gemfile", "History.txt", "README.rdoc", "Rakefile", "examples/README.rdoc", "examples/v2api/latency_measurement.rb", "examples/v2api/local_lat.rb", "examples/v2api/local_lat_poll.rb", "examples/v2api/local_throughput.rb", "examples/v2api/pub.rb", "examples/v2api/publish_subscribe.rb", "examples/v2api/remote_lat.rb", "examples/v2api/remote_throughput.rb", "examples/v2api/reqrep_poll.rb", "examples/v2api/request_response.rb", "examples/v2api/sub.rb", "examples/v2api/throughput_measurement.rb", "examples/v2api/xreqxrep_poll.rb", "examples/v3api/latency_measurement.rb", "examples/v3api/local_lat.rb", "examples/v3api/local_lat_poll.rb", "examples/v3api/local_throughput.rb", "examples/v3api/pub.rb", "examples/v3api/publish_subscribe.rb", "examples/v3api/remote_lat.rb", "examples/v3api/remote_throughput.rb", "examples/v3api/reqrep_poll.rb", "examples/v3api/request_response.rb", "examples/v3api/sub.rb", "examples/v3api/throughput_measurement.rb", "examples/v3api/xreqxrep_poll.rb", "ext/README", "ffi-rzmq.gemspec", "lib/ffi-rzmq.rb", "lib/ffi-rzmq/constants.rb", "lib/ffi-rzmq/context.rb", "lib/ffi-rzmq/device.rb", "lib/ffi-rzmq/exceptions.rb", "lib/ffi-rzmq/libc.rb", "lib/ffi-rzmq/libzmq.rb", "lib/ffi-rzmq/message.rb", "lib/ffi-rzmq/poll.rb", "lib/ffi-rzmq/poll_item.rb", "lib/ffi-rzmq/poll_items.rb", "lib/ffi-rzmq/socket.rb", "lib/ffi-rzmq/util.rb", "lib/ffi-rzmq/version.rb", "lib/io_extensions.rb", "spec/context_spec.rb", "spec/device_spec.rb", "spec/message_spec.rb", "spec/multipart_spec.rb", "spec/nonblocking_recv_spec.rb", "spec/poll_spec.rb", "spec/pushpull_spec.rb", "spec/reqrep_spec.rb", "spec/socket_spec.rb", "spec/spec_helper.rb", "spec/support/test.crt", "spec/support/test.key"]
  s.homepage = "http://github.com/chuckremes/ffi-rzmq"
  s.require_paths = ["lib"]
  s.rubyforge_project = "ffi-rzmq"
  s.rubygems_version = "1.8.23"
  s.summary = "This gem wraps the ZeroMQ (0mq) networking library using Ruby FFI (foreign function interface)."
  s.test_files = ["spec/context_spec.rb", "spec/device_spec.rb", "spec/message_spec.rb", "spec/multipart_spec.rb", "spec/nonblocking_recv_spec.rb", "spec/poll_spec.rb", "spec/pushpull_spec.rb", "spec/reqrep_spec.rb", "spec/socket_spec.rb", "spec/spec_helper.rb", "spec/support/test.crt", "spec/support/test.key"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ffi>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<ffi>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.6"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<ffi>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.6"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
